Loading...
Searching...
No Matches
L4virtio::Virtqueue::Avail::Flags Struct Reference

Flags of the available ring. More...

`#include <virtqueue>`

Collaboration diagram for L4virtio::Virtqueue::Avail::Flags:

## Public Member Functions

| Flags (l4_uint16_t v)
| Make Flags from the raw value.

## Data Fields

l4_uint16_t | raw
| raw 16bit flags value of the available ring.
typedef cxx::Bitfield< decltype(raw), 0, 0 > | no_irq_bfm_t
| Guest does not want to receive interrupts when requests are finished.
constexpr no_irq_bfm_t::Val | no_irq () const
| Get the no_irq bits (0 to 0) of raw.
constexpr no_irq_bfm_t::Ref | no_irq ()
| Get a reference to the no_irq bits (0 to 0) of raw.

## Detailed Description

Flags of the available ring.

Definition at line 134 of file virtqueue.

## Member Typedef Documentation

## no_irq_bfm_t

typedef cxx::Bitfield<decltype(raw), 0, 0> L4virtio::Virtqueue::Avail::Flags::no_irq_bfm_t

Guest does not want to receive interrupts when requests are finished.

Type to access the no_irq bits (0 to 0) of raw.

Definition at line 143 of file virtqueue.

The documentation for this struct was generated from the following file:

- l4/l4virtio/virtqueue